grapheme_strripos
grapheme_strstr
Grapheme Functions
PHP Manual

# grapheme_strrpos

Find position (in grapheme units) of last occurrence of a string

### Description

Procedural style

int grapheme_strrpos ( string `$haystack` , string `$needle` [, int `$offset` = 0 ] )

Find position (in grapheme units) of last occurrence of a string

### Parameters

`haystack`

  The string to look in. Must be valid UTF-8.

`needle`

  The string to look for. Must be valid UTF-8.

`offset`

  The optional $offset parameter allows you to specify where in $haystack to start searching as an offset in grapheme units (not bytes or characters). The position returned is still relative to the beginning of haystack regardless of the value of $offset.

### Return Values

Returns the position as an integer. If needle is not found, grapheme_strrpos() will return boolean FALSE.

### Examples

Example #1 grapheme_strrpos example

`<?php
$char_a_ring_nfd = "a\xCC\x8A"; // 'LATIN SMALL LETTER A WITH RING ABOVE' (U+00E5) normalization form "D"
$char_o_diaeresis_nfd = "o\xCC\x88"; // 'LATIN SMALL LETTER O WITH DIAERESIS' (U+00F6) normalization form "D"
print grapheme_strrpos( $char_a_ring_nfd . $char_o_diaeresis_nfd . $char_o_diaeresis_nfd, $char_o_diaeresis_nfd);
?>`

The above example will output:

    2

### See Also

- grapheme_stripos
- grapheme_stristr
- grapheme_strpos
- grapheme_strripos
- grapheme_strstr
- » Unicode Text Segmentation: Grapheme Cluster Boundaries